For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a vertex account

How to fetch a specific vertex account via API

To fetch a single vertex account, send a GET request to the /api/vertex_accounts/:id endpoint, where id is the ID of the resource that you want to retrieve.

Request

GET https://yourdomain.commercelayer.io/api/vertex_accounts/:id

Example

The following request fetches the vertex account identified by the ID "XAyRWNUzyN":

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "vertex_accounts",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Personal tax calculator",
      "type": "vertex_accounts",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      },
      "kind": "cloud",
      "baseurl": "yourbaseurl",
      "audience": "verx://xyz",
      "api_endpoint": "https://my_baseurl.ondemand.vertexinc.com",
      "commit_invoice": true,
      "token_expires_at": "2018-01-02T12:00:00.000Z"
    },
    "relationships": {
      "markets": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/relationships/markets",
          "related": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/markets"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/attachments"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/vertex_accounts/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated